=== doc/Makefile ===
#
# $Id: Makefile 9158 2008-08-12 14:12:38Z vszakats $
#

ROOT = ../

DOC_FILES=\
	c_std.txt \
	class_tp.txt \
	cmdline.txt \
	codebloc.txt \
	codestyl.txt \
	dirstruc.txt \
	funclist.txt \
	genhtm.bat \
	genhtm.lnk \
	genhtm.rsp \
	gmake.txt \
	gtapi.txt \
	hbmake.txt \
	hdr_tpl.txt \
	howtobsd.txt \
	howtosvn.txt \
	howtomak.txt \
	hrb_faq.txt \
	lang_id.txt \
	license.txt \
	pcode.txt \
	pragma.txt \
	readme.txt \
	statics.txt \
	tracing.txt \
	transfrm.txt \
	vm.txt \
	whatsnew.txt \
	windll.txt \

DIRS=\
	en \
	es \

include $(TOP)$(ROOT)config/doc.cf
include $(TOP)$(ROOT)config/dir.cf
