=== include/Makefile ===
#
# $Id: Makefile 9145 2008-08-11 22:16:11Z vszakats $
#

ROOT = ../

C_HEADERS=\
	clipdefs.h   \
	extend.h     \
	hbapi.h      \
	hbapicdp.h   \
	hbapicls.h   \
	hbapidbg.h   \
	hbapierr.h   \
	hbapifs.h    \
	hbapigt.h    \
	hbapiitm.h   \
	hbapilng.h   \
	hbapirdd.h   \
	hbassert.h   \
	hbchksum.h   \
	hbcomp.h     \
	hbcompdf.h   \
	hbdate.h     \
	hbdbf.h      \
	hbdbferr.h   \
	hbdbsort.h   \
	hbdefs.h     \
	hberrors.h   \
	hbexprop.h   \
	hbfixdj.h    \
	hbgtcore.h   \
	hbhash.h     \
	hbinit.h     \
	hbmacro.h    \
	hbmath.h     \
	hbpcode.h    \
	hbpp.h       \
	hbrddcdx.h   \
	hbrdddbf.h   \
	hbrdddbt.h   \
	hbrddfpt.h   \
	hbrdddel.h   \
	hbrddntx.h   \
	hbrddsdf.h   \
	hbregex.h    \
	hbset.h      \
	hbsetup.h    \
	hbstack.h    \
	hbsxfunc.h   \
	hbtrace.h    \
	hbtypes.h    \
	hbver.h      \
	hbvm.h       \
	hbvmopt.h    \
	hbvmpub.h    \
	hbxvm.h      \
	hbwince.h    \
	hbzlib.h     \
	hb_io.h      \

PRG_HEADERS=\
	achoice.ch   \
	assert.ch    \
	box.ch       \
	button.ch    \
	blob.ch      \
	color.ch     \
	common.ch    \
	dbedit.ch    \
	dbinfo.ch    \
	dbstruct.ch  \
	directry.ch  \
	error.ch     \
	fileio.ch    \
	getexit.ch   \
	hbclass.ch   \
	hbdebug.ch   \
	hbextern.ch  \
	hbgetcmt.ch  \
	hbgfx.ch     \
	hbgfxdef.ch  \
	hbgtinfo.ch  \
	hbinkey.ch   \
	hblang.ch    \
	hbmacro.ch   \
	hbmath.ch    \
	hbmemory.ch  \
	hbmemvar.ch  \
	hboo.ch      \
	hbpers.ch    \
	hbsetup.ch   \
	hbsix.ch     \
	hbstdgen.ch  \
	hbusrrdd.ch  \
	hbzlib.ch    \
	inkey.ch     \
	memoedit.ch  \
	ord.ch       \
	rddsys.ch    \
	reserved.ch  \
	set.ch       \
	setcurs.ch   \
	simpleio.ch  \
	std.ch       \
	hbsxdef.ch   \
	tbrowse.ch   \

API_HEADERS=\
	error.api    \
	extend.api   \
	filesys.api  \
	fm.api       \
	gt.api       \
	hbundoc.api  \
	item.api     \
	rdd.api      \
	vm.api       \

include $(TOP)$(ROOT)config/header.cf
