=== source/Makefile ===
#
# $Id: Makefile 9075 2008-08-06 11:10:24Z druzus $
#

ROOT = ../

ifeq ($(HB_HOST_BUILD),yes)

DIRS=\
	common \
	pp \
	compiler \
	main \

else

ifeq ($(HB_HOST_BUILD),lib)
HB_COMP_DIR=
else
HB_COMP_DIR=main
endif

DIRS=\
	common \
	pp \
	compiler \
	$(HB_COMP_DIR) \
	rtl \
	vm \
	macro \
	codepage \
	lang \
	rdd \
	hbextern \
	hbpcre \
	hbzlib \
	debug \

endif

include $(ROOT)config/dir.cf
