=== utils/Makefile ===
#
# $Id: Makefile 9067 2008-08-05 11:23:46Z vszakats $
#

ROOT = ../

DIRS=\
	hbrun \
	hbtest \
	hbdoc \
	hbmake \
	$(HB_UTILS) \

#	hbextern \

include $(ROOT)config/dir.cf
