=== contrib/examples/Makefile ===
#
# $Id: Makefile 8783 2008-06-21 16:00:23Z vszakats $
#

ROOT = ../../

DIRS=\
	guestbk \
	hscript \
	misc \
	pe \
	pp \
	rdddbt \

include $(ROOT)config/dir.cf
