=== contrib/hbbmcdx/Makefile ===
#
# $Id: Makefile 8914 2008-07-03 12:23:39Z vszakats $
#

ROOT = ../../

C_SOURCES=\
	bmdbfcdx.c \
	bmsixcdx.c

LIBNAME=hbbmcdx

include $(TOP)$(ROOT)config/lib.cf
