=== debian/control ===
Source: harbour
Section: devel
Priority: optional
Maintainer: Luis Mayoral <mayoral@linuxadicto.org>
Build-Depends: debhelper (>= 4.0.0), binutils, bash, gcc
Standards-Version: 3.6.2

Package: harbour
Architecture: any
Depends: ${shlibs:Depends}
Description: Compiler for the xBase superset language often referred to as Clipper
 Harbour is a free software compiler for the xBase superset language
 often referred to as Clipper (the language that is implemented by the
 compiler CA-Cl*pper).
 .
 Harbour is a cross platform compiler and is known to compile and run on
 MS-DOS, MS-Windows, OS/2 and GNU/Linux, *BSD systems, MAC-OSX, HP-UX and
 other *nixes
 .
 The main advantage Harbour has over other Clipper compilers is that it
 is free software. Harbour also attempts to remove some of the limits
 imposed by the base implementation but the extent of this will depend on
 your chosen platform.
