=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export _DEFAULT_BIN_DIR=/usr/bin
export _DEFAULT_INC_DIR=/usr/include/harbour
export _DEFAULT_LIB_DIR=/usr/lib/harbour
export INSTDIR=$(CURDIR)/debian/harbour
export HB_BIN_INSTALL=$(INSTDIR)$(_DEFAULT_BIN_DIR)
export HB_LIB_INSTALL=$(INSTDIR)$(_DEFAULT_LIB_DIR)
export HB_INC_INSTALL=$(INSTDIR)$(_DEFAULT_INC_DIR)
export HB_ETC_DIR=$(INSTDIR)/etc
export HB_DOC_INSTALL=$(INSTDIR)/usr/share/doc

CFLAGS = -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O3
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

build: build-stamp

build-stamp:
	dh_testdir

	bash make_gnu.sh

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	-bash make_gnu.sh clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	bash make_gnu.sh install
	rm -f $(HB_BIN_INSTALL)/hbverfix
	install -m644 debian/harbour.cfg $(HB_ETC_DIR)/harbour.cfg
	install -m644 source/rtl/gtcrs/hb-charmap.def $(HB_ETC_DIR)/harbour
	install -m644 doc/*.txt $(HB_DOC_INSTALL)/harbour
	install -m644 doc/en/*.txt $(HB_DOC_INSTALL)/harbour/en
	install -m644 doc/es/*.txt $(HB_DOC_INSTALL)/harbour/es


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installman doc/man/harbour.1 doc/man/hbdoc.1 doc/man/hbmake.1 doc/man/hbpp.1 doc/man/hbrun.1 doc/man/hbtest.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
